
/* include the library headers */
#include <lcrzo.h>
#include "lcrzoex.h"

/*-------------------------------------------------------------*/
/* set information about this example */
shared_lcrzoex_infos lcrzoex_000017=
{ /*reference*/     "lcrzoex", 17,
  /*version*/       1, 0,
  /*title*/         "sniff packets (IP reas.) and verify checksum",
  /*french title*/  "sniffe des paquets (reas. IP) et verifie les checksum",
  /*description*/   "",
  /*french desc.*/  "",
  /*usage*/         "[device [\"bpf_filter\"]]",
  /*french usage*/  "[device [\"filtre_bpf\"]]",
  /*usage example*/ "eth0 \"host 1.2.3.4 and port 25\"",
  /*fr. usage ex.*/ "eth0 \"host 1.2.3.4 and port 25\"", 
  /*author*/        "Laurent"
};

/*-------------------------------------------------------------*/
/* function declaration */
int lcrzoex_000017_main(int argc, char *argv[]);

/*-------------------------------------------------------------*/
/* main function : you can rename it to "main", and then this file
   can be compiled alone. */
int lcrzoex_000017_main(int argc, char *argv[])
{
  lcrzo_init();
  lcrzo_epr(shared_sniff_check(argc, argv, LCRZO_SNIFF_TYPE_IPREAS));

  lcrzo_close();
  return(LCRZO_ERR_OK);
}
