
/* include the library headers */
#include <lcrzo.h>
#include "lcrzoex.h"

/* set information about this example */
shared_lcrzoex_infos lcrzoex_000141=
{ /*reference*/     "lcrzoex", 141, 
  /*version*/       1, 0, 
  /*title*/         "convert a decimal number", 
  /*french title*/  "convertit un nombre decimal", 
  /*description*/   "",
  /*french desc.*/  "",
  /*usage*/         "decimal_number",
  /*french usage*/  "nombre_decimal", 
  /*usage example*/ "45678",
  /*fr. usage ex.*/ "45678",
  /*author*/        "Laurent"
};

/*-------------------------------------------------------------*/
/* function declarations */
int lcrzoex_000141_main(int argc, char *argv[]);

/* main function : you can rename it to "main", and then this file
   can be compiled alone. */
int lcrzoex_000141_main(int argc, char *argv[])
{ 
  lcrzo_init();
  if ( argc<2 )
  { /* print usage */
    lcrzo_epr(shared_lcrzoex_infos_print(lcrzoex_000141, argv[0]));
    return(LCRZOEX_ERR_MISC_BADTOOLUSAGE);
  }

  lcrzo_epr(shared_misc_printnumberbase(argv[1], 10));
  lcrzo_close();
  return(LCRZO_ERR_OK);
}
