
/* include the library headers */
#include <lcrzo.h>
#include "lcrzoex.h"

/* set information about this example */
shared_lcrzoex_infos lcrzoex_000152=
{ /*reference*/     "lcrzoex", 152, 
  /*version*/       1, 0, 
  /*title*/         "compute a checksum", 
  /*french title*/  "calcule un checksum", 
  /*description*/   "",
  /*french desc.*/  "",
  /*usage*/         "",
  /*french usage*/  "", 
  /*usage example*/ "",
  /*fr. usage ex.*/ "",
  /*author*/        "Laurent"
};

/*-------------------------------------------------------------*/
/* function declarations */
int lcrzoex_000152_main(void);

/* main function : you can rename it to "main", and then this file
   can be compiled alone. */
int lcrzoex_000152_main(void)
{ lcrzo_data data;
  lcrzo_int32 datasize;
  lcrzo_uint16 chk;
  lcrzo_int16 language;

  lcrzo_init();
  lcrzo_epr(lcrzo_global_get_language(&language));
  lcrzo_epr(lcrzo_data_initm_mixed_stdin((language==LCRZO_GLOBAL_LANG_FR)?
					 "Entrez les donnees":"Enter data",
					 "'hello' 045D",
					 &data, &datasize));
  lcrzo_epr(lcrzo_data_checksum(data, datasize, &chk));
  printf("Checksum = %04X\n", chk);
  lcrzo_close();
  return (LCRZO_ERR_OK);
}
