#ifndef LCRZOEX_MISC_INCLUDED
#define LCRZOEX_MISC_INCLUDED 1

int shared_misc_compilparam_print(void);

int shared_misc_userstop1_printmsg(void);
int shared_misc_userstop1_test(lcrzo_file *pstdinfile,
			       lcrzo_bool redisplaymsgifbadchar,
			       lcrzo_bool *pwanttostop,
			       lcrzo_uint8 *preadchar);
int shared_misc_userstop2_printmsg(void);
int shared_misc_userstop2_test(lcrzo_data data,
			       lcrzo_int32 datasize,
			       lcrzo_bool *pwanttostop);
int shared_misc_userstop3_printmsgtest(lcrzo_bool *pwanttostop);


int shared_misc_dangerousexample(void);

int shared_misc_verifyresponse(lcrzo_sock *psock, 
			       lcrzo_uint16 error1, 
			       lcrzo_uint16 error2, 
			       lcrzo_uint16 error3, 
			       lcrzo_uint16 error4,
			       lcrzo_bool displayerrors,
			       lcrzo_uint16 *preaderror,
			       lcrzo_data *preaddata,
			       lcrzo_int32 *preaddatasize);
int shared_misc_verifyresponse1(lcrzo_sock *psock, 
				lcrzo_uint16 error);
int shared_misc_verifyresponse2(lcrzo_sock *psock, 
				lcrzo_uint16 error1, 
				lcrzo_uint16 error2);
int shared_misc_verifyresponse3(lcrzo_sock *psock, 
				lcrzo_uint16 error1, 
				lcrzo_uint16 error2, 
				lcrzo_uint16 error3);
int shared_misc_verifyresponse4(lcrzo_sock *psock, 
				lcrzo_uint16 error1, 
				lcrzo_uint16 error2, 
				lcrzo_uint16 error3, 
				lcrzo_uint16 error4);

int shared_misc_printnumber(lcrzo_uint32 number);
int shared_misc_printnumberbase(char *string, int base);

int shared_misc_printdata(lcrzo_data data, lcrzo_int32 datasize);

int shared_misc_rearmtimer(lcrzo_int32 seconds);

/* I recommend not using it anymore ; use shared_misc_randpasshash_md5 */
int shared_misc_randpasshash_old(lcrzo_conststring serverrand, 
				 lcrzo_conststring clientrand,
				 lcrzo_conststring password,
				 lcrzo_string *phash);
int shared_misc_randpasshash_md5(lcrzo_conststring serverrand, 
				 lcrzo_conststring clientrand,
				 lcrzo_conststring password,
				 lcrzo_string *phash);

int shared_misc_strcasecmp(lcrzo_conststring s1, 
			   lcrzo_conststring s2);
int shared_misc_strncasecmp(lcrzo_conststring s1, 
			    lcrzo_conststring s2,
			    lcrzo_int32 n);
int shared_string_initm_text_case(lcrzo_conststring text,
				  lcrzo_bool converttoupper,
				  lcrzo_string *pstringout);
int shared_string_search_text_case(lcrzo_conststring stringin,
				   lcrzo_bool searchcomplement,
				   lcrzo_int32 stringinstartpos,
				   lcrzo_int32 stringinendpos,
				   lcrzo_conststring searchedtext,
				   lcrzo_int32 *pstartfoundposition_negative,
				   lcrzo_int32 *pstartfoundposition_positive,
				   lcrzo_int32 *pendfoundposition_negative,
				   lcrzo_int32 *pendfoundposition_positive);

typedef struct
{ lcrzo_process child;
  lcrzo_ipc ipcchildend;
} shared_misc_ipcexec;
int shared_misc_ipcexec_init(lcrzo_conststring command,
			     shared_misc_ipcexec *psmi,
			     lcrzo_ipc *pipc);
int shared_misc_ipcexec_close(shared_misc_ipcexec *psmi);

int shared_misc_checkadmin(int language);

typedef struct {
  lcrzo_int8 user[32];
  lcrzo_int8 pass[32];
} shared_misc_userpass;

int shared_misc_symlink(lcrzo_conststring oldpath, 
			lcrzo_conststring newpath);

int shared_misc_string_initm_2ptrs(lcrzo_conststring pcfirstchar,
				   lcrzo_conststring pclastchar,
				   lcrzo_string *pstr);

int shared_misc_beep(void);

#endif

