#ifndef LCRZOEX_NNTP_INCLUDED
#define LCRZOEX_NNTP_INCLUDED 1

/*-------------------------------------------------------------*/
int shared_nntp_appendm_line_newsgroups(lcrzo_conststring newsgroup,
					lcrzo_string *poutput);

/*-------------------------------------------------------------*/
int shared_nntp_initm_headerbody_usascii(lcrzo_conststring from,
					 lcrzo_conststring replyto,
					 lcrzo_conststring newsgroup,
					 lcrzo_conststring subject, 
					 lcrzo_constdata bodydata,
					 lcrzo_int32 bodydatasize,
					 lcrzo_data *pdataout,
					 lcrzo_int32 *pdataoutsize);
int shared_nntp_initm_headerbody_iso8859(lcrzo_conststring from,
					 lcrzo_conststring replyto,
					 lcrzo_conststring newsgroup,
					 lcrzo_conststring subject, 
					 lcrzo_constdata bodydata,
					 lcrzo_int32 bodydatasize,
					 lcrzo_data *pdataout,
					 lcrzo_int32 *pdataoutsize);

/*-------------------------------------------------------------*/
int shared_nntp_initm_multipart_header(lcrzo_conststring from,
				       lcrzo_conststring replyto,
				       lcrzo_conststring newsgroup,
				       lcrzo_conststring subject, 
				       lcrzo_string *pboundary,
				       lcrzo_data *pdataout,
				       lcrzo_int32 *pdataoutsize);

/*-------------------------------------------------------------*/
int shared_nntp_sendmsg(lcrzo_ipl serverip, 
			lcrzo_uint16 serverport,
			lcrzo_conststring newsgroup, 
			lcrzo_constdata headerbody,
			lcrzo_int32 headerbodysize);


/*-------------------------------------------------------------*/
/*-------------------------------------------------------------*/
int shared_nntp_initm_headerbody_file(lcrzo_conststring from,
				      lcrzo_conststring replyto,
				      lcrzo_conststring newsgroup,
				      lcrzo_conststring subject, 
				      lcrzo_conststring bodyfilename,
				      lcrzo_data *pdata,
				      lcrzo_int32 *pdatasize);

int shared_nntp_initm_multipart_2files(lcrzo_conststring from,
 				       lcrzo_conststring replyto,
				       lcrzo_conststring newsgroup,
				       lcrzo_conststring subject, 
				       lcrzo_conststring bodyfilename,
				       lcrzo_conststring attachementfilename,
				       lcrzo_data *pdata,
				       lcrzo_int32 *pdatasize);

/*-------------------------------------------------------------*/
int shared_nntp_sendmsg_hb_file(lcrzo_ipl serverip, 
				lcrzo_uint16 serverport,
				lcrzo_conststring from, 
				lcrzo_conststring replyto,
				lcrzo_conststring newsgroup, 
				lcrzo_conststring subject, 
				lcrzo_conststring bodyfilename);
int shared_nntp_sendmsg_mp_2files(lcrzo_ipl serverip, 
				  lcrzo_uint16 serverport,
				  lcrzo_conststring from, 
				  lcrzo_conststring replyto,
				  lcrzo_conststring newsgroup, 
				  lcrzo_conststring subject, 
				  lcrzo_conststring bodyfilename,
				  lcrzo_conststring attachementfilename);

/*-------------------------------------------------------------*/
/*-------------------------------------------------------------*/
typedef struct {
  lcrzo_string name;
  lcrzo_uint32 numberfirst;
  lcrzo_uint32 numberlast;
  lcrzo_bool canpost;
} shared_nntp_list_newsgroups;


int shared_nntp_list_init_newsgroups(lcrzo_ipl serverip, 
				     lcrzo_uint16 serverport,
				     lcrzo_list *plist);


/*-------------------------------------------------------------*/
int shared_nntp_recvmsg(lcrzo_ipl serverip, 
			lcrzo_uint16 serverport,
			lcrzo_conststring newsgroup, 
			lcrzo_uint32 messagenumber,
			lcrzo_data *pdataout,
			lcrzo_int32 *pdataoutsize);


#endif


