
/* include the library headers */
#include <lcrzo.h>
#include "lcrzoex.h"

/* set information about this example */
shared_lcrzoex_infos lcrzoex_000006=
{ /*reference*/     "lcrzoex", 6,
  /*version*/       1, 1,
  /*title*/         "print information on all devices",
  /*french title*/  "affiche les informations de tous les devices",
  /*description*/   "",
  /*french desc.*/  "",
  /*usage*/         "",
  /*french usage*/  "",
  /*usage example*/ "",
  /*fr. usage ex.*/ "", 
  /*author*/        "Laurent"
};

/* we redirect to this external example */
extern shared_lcrzoex_infos lcrzoex_000158;

/* main function : you can rename it to "main", and then this file
   can be compiled alone. */
int lcrzoex_000006_main(void);
int lcrzoex_000006_main(void)
{ lcrzo_device device;
  lcrzo_int32 count, i;

  lcrzo_init();

  lcrzo_epr(lcrzo_device_count(LCRZO_DEVICE_TYPE_ALL, &count));
  for ( i=1 ; i<=count ; i++ )
  { lcrzo_epr(lcrzo_device_value_pos(LCRZO_DEVICE_TYPE_ALL, i, device));
    lcrzo_epr(lcrzo_device_print_infos(device));
  }

  lcrzo_close();
  return(LCRZO_ERR_OK);
}

