
/* include the library headers */
#include <lcrzo.h>
#include "lcrzoex.h"

/* set information about this example */
shared_lcrzoex_infos lcrzoex_000139=
{ /*reference*/     "lcrzoex", 139, 
  /*version*/       1, 0, 
  /*title*/         "convert a binary number", 
  /*french title*/  "convertit un nombre binaire", 
  /*description*/   "",
  /*french desc.*/  "",
  /*usage*/         "binary_number",
  /*french usage*/  "nombre_binaire", 
  /*usage example*/ "100100101011011",
  /*fr. usage ex.*/ "100100101011011",
  /*author*/        "Laurent"
};

/*-------------------------------------------------------------*/
/* function declarations */
int lcrzoex_000139_main(int argc, char *argv[]);

/* main function : you can rename it to "main", and then this file
   can be compiled alone. */
int lcrzoex_000139_main(int argc, char *argv[])
{ 
  lcrzo_init();
  if ( argc<2 )
  { /* print usage */
    lcrzo_epr(shared_lcrzoex_infos_print(lcrzoex_000139, argv[0]));
    return(LCRZOEX_ERR_MISC_BADTOOLUSAGE);
  }

  lcrzo_epr(shared_misc_printnumberbase(argv[1], 2));
  lcrzo_close();
  return(LCRZO_ERR_OK);
}

