
/* include the library headers */
#include <lcrzo.h>
#include "lcrzoex.h"

/* set information about this example */
shared_lcrzoex_infos lcrzoex_000142=
{ /*reference*/     "lcrzoex", 142, 
  /*version*/       1, 0, 
  /*title*/         "convert an hexadecimal number", 
  /*french title*/  "convertit un nombre hexadecimal", 
  /*description*/   "",
  /*french desc.*/  "",
  /*usage*/         "hexadecimal_number",
  /*french usage*/  "nombre_hexadecimal", 
  /*usage example*/ "ab223e",
  /*fr. usage ex.*/ "ab223e",
  /*author*/        "Laurent"
};

/*-------------------------------------------------------------*/
/* function declarations */
int lcrzoex_000142_main(int argc, char *argv[]);

/* main function : you can rename it to "main", and then this file
   can be compiled alone. */
int lcrzoex_000142_main(int argc, char *argv[])
{ 
  lcrzo_init();
  if ( argc<2 )
  { /* print usage */
    lcrzo_epr(shared_lcrzoex_infos_print(lcrzoex_000142, argv[0]));
    return(LCRZOEX_ERR_MISC_BADTOOLUSAGE);
  }

  lcrzo_epr(shared_misc_printnumberbase(argv[1], 16));
  lcrzo_close();
  return(LCRZO_ERR_OK);
}
