
/* include the library headers */
#include <lcrzo.h>
#include "lcrzoex.h"

/* set information about this example */
shared_lcrzoex_infos lcrzoex_000154=
{ /*reference*/     "lcrzoex", 154,
  /*version*/       1, 0,
  /*title*/         "print information on valid IP devices",
  /*french title*/  "affiche les informations des devices IP valides",
  /*description*/   "",
  /*french desc.*/  "",
  /*usage*/         "",
  /*french usage*/  "",
  /*usage example*/ "",
  /*fr. usage ex.*/ "",
  /*author*/        "Laurent"
};

/* main function : you can rename it to "main", and then this file
   can be compiled alone. */
int lcrzoex_000154_main(void);
int lcrzoex_000154_main(void)
{ lcrzo_device device;
  lcrzo_int32 count, i;

  lcrzo_init();
  lcrzo_epr(lcrzo_device_count(LCRZO_DEVICE_TYPE_ONLYVALIDIP, &count));
  for ( i=1 ; i<=count ; i++ )
  { lcrzo_epr(lcrzo_device_value_pos(LCRZO_DEVICE_TYPE_ONLYVALIDIP, 
				     i, device));
    lcrzo_epr(lcrzo_device_print_infos(device));
  }

  lcrzo_close();
  return(LCRZO_ERR_OK);
}

