
/* include the library headers */
#include <lcrzo.h>
#include "lcrzoex.h"

/* set information about this example */
shared_lcrzoex_infos lcrzoex_000156=
{ /*reference*/     "lcrzoex", 156, 
  /*version*/       1, 1, 
  /*title*/         "print information about a hostname (random spoof)", 
  /*french title*/  "affiche les informations sur un nom de machine (spoof aleatoire)", 
  /*description*/   "",
  /*french desc.*/  "",
  /*usage*/         "computer_name",
  /*french usage*/  "nom_de_machine", 
  /*usage example*/ "www.server.com",
  /*fr. usage ex.*/ "www.serveur.com",
  /*author*/        "Laurent"
};

/* main function : you can rename it to "main", and then this file
   can be compiled alone. */
int lcrzoex_000156_main(int argc, char *argv[]);
int lcrzoex_000156_main(int argc, char *argv[])
{
  lcrzo_init();
  if ( argc<2 )
  { /* print usage */
    lcrzo_epr(shared_lcrzoex_infos_print(lcrzoex_000156, argv[0]));
    return(LCRZOEX_ERR_MISC_BADTOOLUSAGE);
  }

  lcrzo_epr(lcrzo_global_set_intspoof_ip_type(LCRZO_INTSPOOF_TYPE_RAND));
  lcrzo_epr(lcrzo_global_set_resolver_timeout(3));
  lcrzo_epr(lcrzo_hs_print_infos(argv[1]));
  lcrzo_close();
  return(LCRZO_ERR_OK);
}
