/*
		                 LCRZOEX
                             Network toolbox
             Copyright(c) 1999,2000,2001,2002 Laurent Constantin
                                  -----

  Main server    : http://www.laurentconstantin.com/
  Backup servers : http://go.to/laurentconstantin/
                   http://laurentconstantin.est-la.com/
                   http://laurentconstantin.free.fr/
                   http://membres.lycos.fr/lauconstantin/
  [my current email address is on the web servers]

                                  -----
  This file is part of Lcrzoex.

  Lcrzoex is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  Lcrzoex is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details (http://www.gnu.org/).

------------------------------------------------------------------------
*/

#include <lcrzo.h>
#include "lcrzoex.h"
#include "shared/shared_toolbox.h"

/*-------------------------------------------------------------*/
/* include all the example code we need */
#include "lcrzoex_000001.c"
#include "lcrzoex_000002.c"
#include "lcrzoex_000003.c"
#include "lcrzoex_000004.c"
#include "lcrzoex_000005.c"
#include "lcrzoex_000006.c"
#include "lcrzoex_000007.c"
#include "lcrzoex_000008.c"
#include "lcrzoex_000009.c"
#include "lcrzoex_000010.c"
#include "lcrzoex_000011.c"
#include "lcrzoex_000012.c"
#include "lcrzoex_000013.c"
#include "lcrzoex_000014.c"
#include "lcrzoex_000015.c"
#include "lcrzoex_000016.c"
#include "lcrzoex_000017.c"
#include "lcrzoex_000018.c"
#include "lcrzoex_000019.c"
#include "lcrzoex_000020.c"
#include "lcrzoex_000021.c"
#include "lcrzoex_000022.c"
#include "lcrzoex_000023.c"
#include "lcrzoex_000024.c"
#include "lcrzoex_000025.c"
#include "lcrzoex_000026.c"
#include "lcrzoex_000027.c"
#include "lcrzoex_000028.c"
#include "lcrzoex_000029.c"
#include "lcrzoex_000030.c"
#include "lcrzoex_000031.c"
#include "lcrzoex_000032.c"
#include "lcrzoex_000033.c"
#include "lcrzoex_000034.c"
#include "lcrzoex_000035.c"
#include "lcrzoex_000036.c"
#include "lcrzoex_000037.c"
#include "lcrzoex_000038.c"
#include "lcrzoex_000039.c"
#include "lcrzoex_000040.c"
#include "lcrzoex_000041.c"
#include "lcrzoex_000042.c"
#include "lcrzoex_000043.c"
#include "lcrzoex_000044.c"
#include "lcrzoex_000045.c"
#include "lcrzoex_000046.c"
#include "lcrzoex_000047.c"
#include "lcrzoex_000048.c"
#include "lcrzoex_000049.c"
#include "lcrzoex_000050.c"

/*-------------------------------------------------------------*/
int lcrzoex__00001_main(int ac, char* av[], lcrzo_uint32 toolnumber)
{ int ret;

  switch ((int)toolnumber)
  { case     1 : ret=lcrzoex_000001_main(); break;
    case     2 : ret=lcrzoex_000002_main(ac, av); break;
    case     3 : ret=lcrzoex_000003_main(ac, av); break;
    case     4 : ret=lcrzoex_000004_main(ac, av); break;
    case     5 : ret=lcrzoex_000005_main(ac, av); break;
    case     6 : ret=lcrzoex_000006_main(); break;
    case     7 : ret=lcrzoex_000007_main(ac, av); break;
    case     8 : ret=lcrzoex_000008_main(ac, av); break;
    case     9 : ret=lcrzoex_000009_main(ac, av); break;
    case    10 : ret=lcrzoex_000010_main(ac, av); break;
    case    11 : ret=lcrzoex_000011_main(ac, av); break;
    case    12 : ret=lcrzoex_000012_main(ac, av); break;
    case    13 : ret=lcrzoex_000013_main(ac, av); break;
    case    14 : ret=lcrzoex_000014_main(ac, av); break;
    case    15 : ret=lcrzoex_000015_main(ac, av); break;
    case    16 : ret=lcrzoex_000016_main(ac, av); break;
    case    17 : ret=lcrzoex_000017_main(ac, av); break;
    case    18 : ret=lcrzoex_000018_main(ac, av); break;
    case    19 : ret=lcrzoex_000019_main(ac, av); break;
    case    20 : ret=lcrzoex_000020_main(ac, av); break;
    case    21 : ret=lcrzoex_000021_main(ac, av); break;
    case    22 : ret=lcrzoex_000022_main(ac, av); break;
    case    23 : ret=lcrzoex_000023_main(ac, av); break;
    case    24 : ret=lcrzoex_000024_main(); break;
    case    25 : ret=lcrzoex_000025_main(ac, av); break;
    case    26 : ret=lcrzoex_000026_main(ac, av); break;
    case    27 : ret=lcrzoex_000027_main(ac, av); break;
    case    28 : ret=lcrzoex_000028_main(ac, av); break;
    case    29 : ret=lcrzoex_000029_main(); break;
    case    30 : ret=lcrzoex_000030_main(ac, av); break;
    case    31 : ret=lcrzoex_000031_main(ac, av); break;
    case    32 : ret=lcrzoex_000032_main(); break;
    case    33 : ret=lcrzoex_000033_main(ac, av); break;
    case    34 : ret=lcrzoex_000034_main(ac, av); break;
    case    35 : ret=lcrzoex_000035_main(ac, av); break;
    case    36 : ret=lcrzoex_000036_main(ac, av); break;
    case    37 : ret=lcrzoex_000037_main(); break;
    case    38 : ret=lcrzoex_000038_main(ac, av); break;
    case    39 : ret=lcrzoex_000039_main(ac, av); break;
    case    40 : ret=lcrzoex_000040_main(); break;
    case    41 : ret=lcrzoex_000041_main(ac, av); break;
    case    42 : ret=lcrzoex_000042_main(ac, av); break;
    case    43 : ret=lcrzoex_000043_main(ac, av); break;
    case    44 : ret=lcrzoex_000044_main(ac, av); break;
    case    45 : ret=lcrzoex_000045_main(ac, av); break;
    case    46 : ret=lcrzoex_000046_main(ac, av); break;
    case    47 : ret=lcrzoex_000047_main(ac, av); break;
    case    48 : ret=lcrzoex_000048_main(); break;
    case    49 : ret=lcrzoex_000049_main(ac, av); break;
    case    50 : ret=lcrzoex_000050_main(ac, av); break;
    default : ret=LCRZOEX_ERR_MISC_BADTOOLNUMBER;
  }

  return(ret);
}

/*-------------------------------------------------------------*/
int lcrzoex__00001_infos(lcrzo_uint32 toolnumber,
			 shared_lcrzoex_infos *pinfos)
{ shared_lcrzoex_infos infos;

  switch ((int)toolnumber)
  { case     1 : infos=lcrzoex_000001; break;
    case     2 : infos=lcrzoex_000002; break;
    case     3 : infos=lcrzoex_000003; break;
    case     4 : infos=lcrzoex_000004; break;
    case     5 : infos=lcrzoex_000005; break;
    case     6 : infos=lcrzoex_000006; break;
    case     7 : infos=lcrzoex_000007; break;
    case     8 : infos=lcrzoex_000008; break;
    case     9 : infos=lcrzoex_000009; break;
    case    10 : infos=lcrzoex_000010; break;
    case    11 : infos=lcrzoex_000011; break;
    case    12 : infos=lcrzoex_000012; break;
    case    13 : infos=lcrzoex_000013; break;
    case    14 : infos=lcrzoex_000014; break;
    case    15 : infos=lcrzoex_000015; break;
    case    16 : infos=lcrzoex_000016; break;
    case    17 : infos=lcrzoex_000017; break;
    case    18 : infos=lcrzoex_000018; break;
    case    19 : infos=lcrzoex_000019; break;
    case    20 : infos=lcrzoex_000020; break;
    case    21 : infos=lcrzoex_000021; break;
    case    22 : infos=lcrzoex_000022; break;
    case    23 : infos=lcrzoex_000023; break;
    case    24 : infos=lcrzoex_000024; break;
    case    25 : infos=lcrzoex_000025; break;
    case    26 : infos=lcrzoex_000026; break;
    case    27 : infos=lcrzoex_000027; break;
    case    28 : infos=lcrzoex_000028; break;
    case    29 : infos=lcrzoex_000029; break;
    case    30 : infos=lcrzoex_000030; break;
    case    31 : infos=lcrzoex_000031; break;
    case    32 : infos=lcrzoex_000032; break;
    case    33 : infos=lcrzoex_000033; break;
    case    34 : infos=lcrzoex_000034; break;
    case    35 : infos=lcrzoex_000035; break;
    case    36 : infos=lcrzoex_000036; break;
    case    37 : infos=lcrzoex_000037; break;
    case    38 : infos=lcrzoex_000038; break;
    case    39 : infos=lcrzoex_000039; break;
    case    40 : infos=lcrzoex_000040; break;
    case    41 : infos=lcrzoex_000041; break;
    case    42 : infos=lcrzoex_000042; break;
    case    43 : infos=lcrzoex_000043; break;
    case    44 : infos=lcrzoex_000044; break;
    case    45 : infos=lcrzoex_000045; break;
    case    46 : infos=lcrzoex_000046; break;
    case    47 : infos=lcrzoex_000047; break;
    case    48 : infos=lcrzoex_000048; break;
    case    49 : infos=lcrzoex_000049; break;
    case    50 : infos=lcrzoex_000050; break;
    default : return(LCRZOEX_ERR_MISC_BADTOOLNUMBER);
  }

  if (pinfos!=NULL) *pinfos=infos;
  return(LCRZO_ERR_OK);
}
