/*
		                 LCRZOEX
                             Network toolbox
             Copyright(c) 1999,2000,2001,2002 Laurent Constantin
                                  -----

  Main server    : http://www.laurentconstantin.com/
  Backup servers : http://go.to/laurentconstantin/
                   http://laurentconstantin.est-la.com/
                   http://laurentconstantin.free.fr/
                   http://membres.lycos.fr/lauconstantin/
  [my current email address is on the web servers]

                                  -----
  This file is part of Lcrzoex.

  Lcrzoex is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  Lcrzoex is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details (http://www.gnu.org/).

------------------------------------------------------------------------
*/

#include <lcrzo.h>
#include "lcrzoex.h"
#include "shared/shared_toolbox.h"

/*-------------------------------------------------------------*/
/* include all the example code we need */
#include "lcrzoex_000051.c"
#include "lcrzoex_000052.c"
#include "lcrzoex_000053.c"
#include "lcrzoex_000054.c"
#include "lcrzoex_000055.c"
#include "lcrzoex_000056.c"
#include "lcrzoex_000057.c"
#include "lcrzoex_000058.c"
#include "lcrzoex_000059.c"
#include "lcrzoex_000060.c"
#include "lcrzoex_000061.c"
#include "lcrzoex_000062.c"
#include "lcrzoex_000063.c"
#include "lcrzoex_000064.c"
#include "lcrzoex_000065.c"
#include "lcrzoex_000066.c"
#include "lcrzoex_000067.c"
#include "lcrzoex_000068.c"
#include "lcrzoex_000069.c"
#include "lcrzoex_000070.c"
#include "lcrzoex_000071.c"
#include "lcrzoex_000072.c"
#include "lcrzoex_000073.c"
#include "lcrzoex_000074.c"
#include "lcrzoex_000075.c"
#include "lcrzoex_000076.c"
#include "lcrzoex_000077.c"
#include "lcrzoex_000078.c"
#include "lcrzoex_000079.c"
#include "lcrzoex_000080.c"
#include "lcrzoex_000081.c"
#include "lcrzoex_000082.c"
#include "lcrzoex_000083.c"
#include "lcrzoex_000084.c"
#include "lcrzoex_000085.c"
#include "lcrzoex_000086.c"
#include "lcrzoex_000087.c"
#include "lcrzoex_000088.c"
#include "lcrzoex_000089.c"
#include "lcrzoex_000090.c"
#include "lcrzoex_000091.c"
#include "lcrzoex_000092.c"
#include "lcrzoex_000093.c"
#include "lcrzoex_000094.c"
#include "lcrzoex_000095.c"
#include "lcrzoex_000096.c"
#include "lcrzoex_000097.c"
#include "lcrzoex_000098.c"
#include "lcrzoex_000099.c"
#include "lcrzoex_000100.c"

/*-------------------------------------------------------------*/
int lcrzoex__00002_main(int ac, char* av[], lcrzo_uint32 toolnumber)
{ int ret;

  switch ((int)toolnumber)
  { 
    case    51 : ret=lcrzoex_000051_main(); break;
    case    52 : ret=lcrzoex_000052_main(ac, av); break;
    case    53 : ret=lcrzoex_000053_main(ac, av); break;
    case    54 : ret=lcrzoex_000054_main(ac, av); break;
    case    55 : ret=lcrzoex_000055_main(ac, av); break;
    case    56 : ret=lcrzoex_000056_main(ac, av); break;
    case    57 : ret=lcrzoex_000057_main(ac, av); break;
    case    58 : ret=lcrzoex_000058_main(ac, av); break;
    case    59 : ret=lcrzoex_000059_main(ac, av); break;
    case    60 : ret=lcrzoex_000060_main(ac, av); break;
    case    61 : ret=lcrzoex_000061_main(ac, av); break;
    case    62 : ret=lcrzoex_000062_main(ac, av); break;
    case    63 : ret=lcrzoex_000063_main(ac, av); break;
    case    64 : ret=lcrzoex_000064_main(ac, av); break;
    case    65 : ret=lcrzoex_000065_main(); break;
    case    66 : ret=lcrzoex_000066_main(ac, av); break;
    case    67 : ret=lcrzoex_000067_main(ac, av); break;
    case    68 : ret=lcrzoex_000068_main(); break;
    case    69 : ret=lcrzoex_000069_main(ac, av); break;
    case    70 : ret=lcrzoex_000070_main(ac, av); break;
    case    71 : ret=lcrzoex_000071_main(ac, av); break;
    case    72 : ret=lcrzoex_000072_main(ac, av); break;
    case    73 : ret=lcrzoex_000073_main(ac, av); break;
    case    74 : ret=lcrzoex_000074_main(ac, av); break;
    case    75 : ret=lcrzoex_000075_main(ac, av); break;
    case    76 : ret=lcrzoex_000076_main(ac, av); break;
    case    77 : ret=lcrzoex_000077_main(ac, av); break;
    case    78 : ret=lcrzoex_000078_main(ac, av); break;
    case    79 : ret=lcrzoex_000079_main(ac, av); break;
    case    80 : ret=lcrzoex_000080_main(ac, av); break;
    case    81 : ret=lcrzoex_000081_main(ac, av); break;
    case    82 : ret=lcrzoex_000082_main(ac, av); break;
    case    83 : ret=lcrzoex_000083_main(ac, av); break;
    case    84 : ret=lcrzoex_000084_main(ac, av); break;
    case    85 : ret=lcrzoex_000085_main(ac, av); break;
    case    86 : ret=lcrzoex_000086_main(ac, av); break;
    case    87 : ret=lcrzoex_000087_main(ac, av); break;
    case    88 : ret=lcrzoex_000088_main(ac, av); break;
    case    89 : ret=lcrzoex_000089_main(ac, av); break;
    case    90 : ret=lcrzoex_000090_main(ac, av); break;
    case    91 : ret=lcrzoex_000091_main(ac, av); break;
    case    92 : ret=lcrzoex_000092_main(ac, av); break;
    case    93 : ret=lcrzoex_000093_main(ac, av); break;
    case    94 : ret=lcrzoex_000094_main(ac, av); break;
    case    95 : ret=lcrzoex_000095_main(ac, av); break;
    case    96 : ret=lcrzoex_000096_main(ac, av); break;
    case    97 : ret=lcrzoex_000097_main(ac, av); break;
    case    98 : ret=lcrzoex_000098_main(ac, av); break;
    case    99 : ret=lcrzoex_000099_main(ac, av); break;
    case   100 : ret=lcrzoex_000100_main(ac, av); break;
    default : ret=LCRZOEX_ERR_MISC_BADTOOLNUMBER;
  }

  return(ret);
}

/*-------------------------------------------------------------*/
int lcrzoex__00002_infos(lcrzo_uint32 toolnumber,
			 shared_lcrzoex_infos *pinfos)
{ shared_lcrzoex_infos infos;

  switch ((int)toolnumber)
  { case    51 : infos=lcrzoex_000051; break;
    case    52 : infos=lcrzoex_000052; break;
    case    53 : infos=lcrzoex_000053; break;
    case    54 : infos=lcrzoex_000054; break;
    case    55 : infos=lcrzoex_000055; break;
    case    56 : infos=lcrzoex_000056; break;
    case    57 : infos=lcrzoex_000057; break;
    case    58 : infos=lcrzoex_000058; break;
    case    59 : infos=lcrzoex_000059; break;
    case    60 : infos=lcrzoex_000060; break;
    case    61 : infos=lcrzoex_000061; break;
    case    62 : infos=lcrzoex_000062; break;
    case    63 : infos=lcrzoex_000063; break;
    case    64 : infos=lcrzoex_000064; break;
    case    65 : infos=lcrzoex_000065; break;
    case    66 : infos=lcrzoex_000066; break;
    case    67 : infos=lcrzoex_000067; break;
    case    68 : infos=lcrzoex_000068; break;
    case    69 : infos=lcrzoex_000069; break;
    case    70 : infos=lcrzoex_000070; break;
    case    71 : infos=lcrzoex_000071; break;
    case    72 : infos=lcrzoex_000072; break;
    case    73 : infos=lcrzoex_000073; break;
    case    74 : infos=lcrzoex_000074; break;
    case    75 : infos=lcrzoex_000075; break;
    case    76 : infos=lcrzoex_000076; break;
    case    77 : infos=lcrzoex_000077; break;
    case    78 : infos=lcrzoex_000078; break;
    case    79 : infos=lcrzoex_000079; break;
    case    80 : infos=lcrzoex_000080; break;
    case    81 : infos=lcrzoex_000081; break;
    case    82 : infos=lcrzoex_000082; break;
    case    83 : infos=lcrzoex_000083; break;
    case    84 : infos=lcrzoex_000084; break;
    case    85 : infos=lcrzoex_000085; break;
    case    86 : infos=lcrzoex_000086; break;
    case    87 : infos=lcrzoex_000087; break;
    case    88 : infos=lcrzoex_000088; break;
    case    89 : infos=lcrzoex_000089; break;
    case    90 : infos=lcrzoex_000090; break;
    case    91 : infos=lcrzoex_000091; break;
    case    92 : infos=lcrzoex_000092; break;
    case    93 : infos=lcrzoex_000093; break;
    case    94 : infos=lcrzoex_000094; break;
    case    95 : infos=lcrzoex_000095; break;
    case    96 : infos=lcrzoex_000096; break;
    case    97 : infos=lcrzoex_000097; break;
    case    98 : infos=lcrzoex_000098; break;
    case    99 : infos=lcrzoex_000099; break;
    case   100 : infos=lcrzoex_000100; break;
    default : return(LCRZOEX_ERR_MISC_BADTOOLNUMBER);
  }

  if (pinfos!=NULL) *pinfos=infos;
  return(LCRZO_ERR_OK);
}
