/*
		                 LCRZOEX
                             Network toolbox
             Copyright(c) 1999,2000,2001,2002 Laurent Constantin
                                  -----

  Main server    : http://www.laurentconstantin.com/
  Backup servers : http://go.to/laurentconstantin/
                   http://laurentconstantin.est-la.com/
                   http://laurentconstantin.free.fr/
                   http://membres.lycos.fr/lauconstantin/
  [my current email address is on the web servers]

                                  -----
  This file is part of Lcrzoex.

  Lcrzoex is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  Lcrzoex is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details (http://www.gnu.org/).

------------------------------------------------------------------------
*/

#include <lcrzo.h>
#include "lcrzoex.h"
#include "shared/shared_toolbox.h"

/*-------------------------------------------------------------*/
/* include all the example code we need */
#include "lcrzoex_000151.c"
#include "lcrzoex_000152.c"
#include "lcrzoex_000153.c"
#include "lcrzoex_000154.c"
#include "lcrzoex_000155.c"
#include "lcrzoex_000156.c"
#include "lcrzoex_000157.c"
#include "lcrzoex_000158.c"
#include "lcrzoex_000159.c"
#include "lcrzoex_000160.c"
#include "lcrzoex_000161.c"
#include "lcrzoex_000162.c"
#include "lcrzoex_000163.c"
#include "lcrzoex_000164.c"
#include "lcrzoex_000165.c"
#include "lcrzoex_000166.c"
#include "lcrzoex_000167.c"
#include "lcrzoex_000168.c"
#include "lcrzoex_000169.c"
#include "lcrzoex_000170.c"
#include "lcrzoex_000171.c"
#include "lcrzoex_000172.c"
#include "lcrzoex_000173.c"
#include "lcrzoex_000174.c"
#include "lcrzoex_000175.c"
#include "lcrzoex_000176.c"
#include "lcrzoex_000177.c"
#include "lcrzoex_000178.c"
#include "lcrzoex_000179.c"
#include "lcrzoex_000180.c"
#include "lcrzoex_000181.c"
#include "lcrzoex_000182.c"
#include "lcrzoex_000183.c"
#include "lcrzoex_000184.c"
#include "lcrzoex_000185.c"
#include "lcrzoex_000186.c"
#include "lcrzoex_000187.c"
#include "lcrzoex_000188.c"
#include "lcrzoex_000189.c"
#include "lcrzoex_000190.c"
#include "lcrzoex_000191.c"
#include "lcrzoex_000192.c"
#include "lcrzoex_000193.c"
#include "lcrzoex_000194.c"
#include "lcrzoex_000195.c"
#include "lcrzoex_000196.c"
#include "lcrzoex_000197.c"
#include "lcrzoex_000198.c"
#include "lcrzoex_000199.c"
#include "lcrzoex_000200.c"

/*-------------------------------------------------------------*/
int lcrzoex__00004_main(int ac, char* av[], lcrzo_uint32 toolnumber)
{ int ret;

  switch ((int)toolnumber)
  { 
    case   151 : ret=lcrzoex_000151_main(ac, av); break;
    case   152 : ret=lcrzoex_000152_main(); break;
    case   153 : ret=lcrzoex_000153_main(ac, av); break;
    case   154 : ret=lcrzoex_000154_main(); break;
    case   155 : ret=lcrzoex_000155_main(); break;
    case   156 : ret=lcrzoex_000156_main(ac, av); break;
    case   157 : ret=lcrzoex_000157_main(); break;
    case   158 : ret=lcrzoex_000158_main(); break;
    case   159 : ret=lcrzoex_000159_main(); break;
    case   160 : ret=lcrzoex_000160_main(); break;
    case   161 : ret=lcrzoex_000161_main(ac, av); break;
    case   162 : ret=lcrzoex_000162_main(ac, av); break;
    case   163 : ret=lcrzoex_000163_main(ac, av); break;
    case   164 : ret=lcrzoex_000164_main(ac, av); break;
    case   165 : ret=lcrzoex_000165_main(ac, av); break;
    case   166 : ret=lcrzoex_000166_main(ac, av); break;
    case   167 : ret=lcrzoex_000167_main(ac, av); break;
    case   168 : ret=lcrzoex_000168_main(ac, av); break;
    case   169 : ret=lcrzoex_000169_main(ac, av); break;
    case   170 : ret=lcrzoex_000170_main(ac, av); break;
    case   171 : ret=lcrzoex_000171_main(ac, av); break;
    case   172 : ret=lcrzoex_000172_main(ac, av); break;
    case   173 : ret=lcrzoex_000173_main(); break;
    case   174 : ret=lcrzoex_000174_main(); break;
    case   175 : ret=lcrzoex_000175_main(); break;
    case   176 : ret=lcrzoex_000176_main(ac, av); break;
    case   177 : ret=lcrzoex_000177_main(ac, av); break;
    case   178 : ret=lcrzoex_000178_main(ac, av); break;
    case   179 : ret=lcrzoex_000179_main(ac, av); break;
    case   180 : ret=lcrzoex_000180_main(ac, av); break;
    case   181 : ret=lcrzoex_000181_main(ac, av); break;
    case   182 : ret=lcrzoex_000182_main(ac, av); break;
    case   183 : ret=lcrzoex_000183_main(ac, av); break;
    case   184 : ret=lcrzoex_000184_main(ac, av); break;
    case   185 : ret=lcrzoex_000185_main(ac, av); break;
    case   186 : ret=lcrzoex_000186_main(ac, av); break;
    case   187 : ret=lcrzoex_000187_main(ac, av); break;
    case   188 : ret=lcrzoex_000188_main(ac, av); break;
    case   189 : ret=lcrzoex_000189_main(ac, av); break;
    case   190 : ret=lcrzoex_000190_main(ac, av); break;
    case   191 : ret=lcrzoex_000191_main(ac, av); break;
    case   192 : ret=lcrzoex_000192_main(ac, av); break;
    case   193 : ret=lcrzoex_000193_main(ac, av); break;
    case   194 : ret=lcrzoex_000194_main(ac, av); break;
    case   195 : ret=lcrzoex_000195_main(ac, av); break;
    case   196 : ret=lcrzoex_000196_main(ac, av); break;
    case   197 : ret=lcrzoex_000197_main(ac, av); break;
    case   198 : ret=lcrzoex_000198_main(ac, av); break;
    case   199 : ret=lcrzoex_000199_main(ac, av); break;
    case   200 : ret=lcrzoex_000200_main(ac, av); break;
    default : ret=LCRZOEX_ERR_MISC_BADTOOLNUMBER;
  }

  return(ret);
}

/*-------------------------------------------------------------*/
int lcrzoex__00004_infos(lcrzo_uint32 toolnumber,
			 shared_lcrzoex_infos *pinfos)
{ shared_lcrzoex_infos infos;

  switch ((int)toolnumber)
  { case   151 : infos=lcrzoex_000151; break;
    case   152 : infos=lcrzoex_000152; break;
    case   153 : infos=lcrzoex_000153; break;
    case   154 : infos=lcrzoex_000154; break;
    case   155 : infos=lcrzoex_000155; break;
    case   156 : infos=lcrzoex_000156; break;
    case   157 : infos=lcrzoex_000157; break;
    case   158 : infos=lcrzoex_000158; break;
    case   159 : infos=lcrzoex_000159; break;
    case   160 : infos=lcrzoex_000160; break;
    case   161 : infos=lcrzoex_000161; break;
    case   162 : infos=lcrzoex_000162; break;
    case   163 : infos=lcrzoex_000163; break;
    case   164 : infos=lcrzoex_000164; break;
    case   165 : infos=lcrzoex_000165; break;
    case   166 : infos=lcrzoex_000166; break;
    case   167 : infos=lcrzoex_000167; break;
    case   168 : infos=lcrzoex_000168; break;
    case   169 : infos=lcrzoex_000169; break;
    case   170 : infos=lcrzoex_000170; break;
    case   171 : infos=lcrzoex_000171; break;
    case   172 : infos=lcrzoex_000172; break;
    case   173 : infos=lcrzoex_000173; break;
    case   174 : infos=lcrzoex_000174; break;
    case   175 : infos=lcrzoex_000175; break;
    case   176 : infos=lcrzoex_000176; break;
    case   177 : infos=lcrzoex_000177; break;
    case   178 : infos=lcrzoex_000178; break;
    case   179 : infos=lcrzoex_000179; break;
    case   180 : infos=lcrzoex_000180; break;
    case   181 : infos=lcrzoex_000181; break;
    case   182 : infos=lcrzoex_000182; break;
    case   183 : infos=lcrzoex_000183; break;
    case   184 : infos=lcrzoex_000184; break;
    case   185 : infos=lcrzoex_000185; break;
    case   186 : infos=lcrzoex_000186; break;
    case   187 : infos=lcrzoex_000187; break;
    case   188 : infos=lcrzoex_000188; break;
    case   189 : infos=lcrzoex_000189; break;
    case   190 : infos=lcrzoex_000190; break;
    case   191 : infos=lcrzoex_000191; break;
    case   192 : infos=lcrzoex_000192; break;
    case   193 : infos=lcrzoex_000193; break;
    case   194 : infos=lcrzoex_000194; break;
    case   195 : infos=lcrzoex_000195; break;
    case   196 : infos=lcrzoex_000196; break;
    case   197 : infos=lcrzoex_000197; break;
    case   198 : infos=lcrzoex_000198; break;
    case   199 : infos=lcrzoex_000199; break;
    case   200 : infos=lcrzoex_000200; break;
    default : return(LCRZOEX_ERR_MISC_BADTOOLNUMBER);
  }

  if (pinfos!=NULL) *pinfos=infos;
  return(LCRZO_ERR_OK);
}
