/*
		                 LCRZOEX
                             Network toolbox
             Copyright(c) 1999,2000,2001,2002 Laurent Constantin
                                  -----

  Main server    : http://www.laurentconstantin.com/
  Backup servers : http://go.to/laurentconstantin/
                   http://laurentconstantin.est-la.com/
                   http://laurentconstantin.free.fr/
                   http://membres.lycos.fr/lauconstantin/
  [my current email address is on the web servers]

                                  -----
  This file is part of Lcrzoex.

  Lcrzoex is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  Lcrzoex is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details (http://www.gnu.org/).

------------------------------------------------------------------------
*/

#include <lcrzo.h>
#include "lcrzoex.h"
#include "shared/shared_toolbox.h"

/*-------------------------------------------------------------*/
/* include all the example code we need */

#include "lcrzoex_000201.c"
#include "lcrzoex_000202.c"
#include "lcrzoex_000203.c"
#include "lcrzoex_000204.c"
#include "lcrzoex_000205.c"
#include "lcrzoex_000206.c"
#include "lcrzoex_000207.c"
#include "lcrzoex_000208.c"
#include "lcrzoex_000209.c"
#include "lcrzoex_000210.c"
#include "lcrzoex_000211.c"
#include "lcrzoex_000212.c"
#include "lcrzoex_000213.c"
#include "lcrzoex_000214.c"
#include "lcrzoex_000215.c"
#include "lcrzoex_000216.c"
#include "lcrzoex_000217.c"
#include "lcrzoex_000218.c"
#include "lcrzoex_000219.c"
#include "lcrzoex_000220.c"
#include "lcrzoex_000221.c"
#include "lcrzoex_000222.c"
#include "lcrzoex_000223.c"
#include "lcrzoex_000224.c"
#include "lcrzoex_000225.c"
#include "lcrzoex_000226.c"
#include "lcrzoex_000227.c"
#include "lcrzoex_000228.c"
#include "lcrzoex_000229.c"
#include "lcrzoex_000230.c"
#include "lcrzoex_000231.c"
#include "lcrzoex_000232.c"
#include "lcrzoex_000233.c"
#include "lcrzoex_000234.c"
#include "lcrzoex_000235.c"
#include "lcrzoex_000236.c"
#include "lcrzoex_000237.c"
#include "lcrzoex_000238.c"
#include "lcrzoex_000239.c"
#include "lcrzoex_000240.c"
#include "lcrzoex_000241.c"
#include "lcrzoex_000242.c"
#include "lcrzoex_000243.c"
#include "lcrzoex_000244.c"
#include "lcrzoex_000245.c"
#include "lcrzoex_000246.c"
#include "lcrzoex_000247.c"
#include "lcrzoex_000248.c"
#include "lcrzoex_000249.c"
#include "lcrzoex_000250.c"

/*-------------------------------------------------------------*/
int lcrzoex__00005_main(int ac, char* av[], lcrzo_uint32 toolnumber)
{ int ret;

  switch ((int)toolnumber)
  { 
    case   201 : ret=lcrzoex_000201_main(ac, av); break;
    case   202 : ret=lcrzoex_000202_main(ac, av); break;
    case   203 : ret=lcrzoex_000203_main(ac, av); break;
    case   204 : ret=lcrzoex_000204_main(ac, av); break;
    case   205 : ret=lcrzoex_000205_main(ac, av); break;
    case   206 : ret=lcrzoex_000206_main(ac, av); break;
    case   207 : ret=lcrzoex_000207_main(ac, av); break;
    case   208 : ret=lcrzoex_000208_main(ac, av); break;
    case   209 : ret=lcrzoex_000209_main(ac, av); break;
    case   210 : ret=lcrzoex_000210_main(ac, av); break;
    case   211 : ret=lcrzoex_000211_main(ac, av); break;
    case   212 : ret=lcrzoex_000212_main(ac, av); break;
    case   213 : ret=lcrzoex_000213_main(ac, av); break;
    case   214 : ret=lcrzoex_000214_main(ac, av); break;
    case   215 : ret=lcrzoex_000215_main(ac, av); break;
    case   216 : ret=lcrzoex_000216_main(ac, av); break;
    case   217 : ret=lcrzoex_000217_main(ac, av); break;
    case   218 : ret=lcrzoex_000218_main(ac, av); break;
    case   219 : ret=lcrzoex_000219_main(ac, av); break;
    case   220 : ret=lcrzoex_000220_main(ac, av); break;
    case   221 : ret=lcrzoex_000221_main(ac, av); break;
    case   222 : ret=lcrzoex_000222_main(ac, av); break;
    case   223 : ret=lcrzoex_000223_main(ac, av); break;
    case   224 : ret=lcrzoex_000224_main(ac, av); break;
    case   225 : ret=lcrzoex_000225_main(ac, av); break;
    case   226 : ret=lcrzoex_000226_main(ac, av); break;
    case   227 : ret=lcrzoex_000227_main(ac, av); break;
    case   228 : ret=lcrzoex_000228_main(ac, av); break;
    case   229 : ret=lcrzoex_000229_main(ac, av); break;
    case   230 : ret=lcrzoex_000230_main(ac, av); break;
    case   231 : ret=lcrzoex_000231_main(ac, av); break;
    case   232 : ret=lcrzoex_000232_main(ac, av); break;
    case   233 : ret=lcrzoex_000233_main(ac, av); break;
    case   234 : ret=lcrzoex_000234_main(ac, av); break;
    case   235 : ret=lcrzoex_000235_main(ac, av); break;
    case   236 : ret=lcrzoex_000236_main(ac, av); break;
    case   237 : ret=lcrzoex_000237_main(ac, av); break;
    case   238 : ret=lcrzoex_000238_main(ac, av); break;
    case   239 : ret=lcrzoex_000239_main(ac, av); break;
    case   240 : ret=lcrzoex_000240_main(ac, av); break;
    case   241 : ret=lcrzoex_000241_main(ac, av); break;
    case   242 : ret=lcrzoex_000242_main(ac, av); break;
    case   243 : ret=lcrzoex_000243_main(ac, av); break;
    case   244 : ret=lcrzoex_000244_main(ac, av); break;
    case   245 : ret=lcrzoex_000245_main(ac, av); break;
    case   246 : ret=lcrzoex_000246_main(ac, av); break;
    case   247 : ret=lcrzoex_000247_main(ac, av); break;
    case   248 : ret=lcrzoex_000248_main(ac, av); break;
    case   249 : ret=lcrzoex_000249_main(ac, av); break;
    case   250 : ret=lcrzoex_000250_main(ac, av); break;
    default : ret=LCRZOEX_ERR_MISC_BADTOOLNUMBER;
  }

  return(ret);
}

/*-------------------------------------------------------------*/
int lcrzoex__00005_infos(lcrzo_uint32 toolnumber,
			 shared_lcrzoex_infos *pinfos)
{ shared_lcrzoex_infos infos;

  switch ((int)toolnumber)
  { case   201 : infos=lcrzoex_000201; break;
    case   202 : infos=lcrzoex_000202; break;
    case   203 : infos=lcrzoex_000203; break;
    case   204 : infos=lcrzoex_000204; break;
    case   205 : infos=lcrzoex_000205; break;
    case   206 : infos=lcrzoex_000206; break;
    case   207 : infos=lcrzoex_000207; break;
    case   208 : infos=lcrzoex_000208; break;
    case   209 : infos=lcrzoex_000209; break;
    case   210 : infos=lcrzoex_000210; break;
    case   211 : infos=lcrzoex_000211; break;
    case   212 : infos=lcrzoex_000212; break;
    case   213 : infos=lcrzoex_000213; break;
    case   214 : infos=lcrzoex_000214; break;
    case   215 : infos=lcrzoex_000215; break;
    case   216 : infos=lcrzoex_000216; break;
    case   217 : infos=lcrzoex_000217; break;
    case   218 : infos=lcrzoex_000218; break;
    case   219 : infos=lcrzoex_000219; break;
    case   220 : infos=lcrzoex_000220; break;
    case   221 : infos=lcrzoex_000221; break;
    case   222 : infos=lcrzoex_000222; break;
    case   223 : infos=lcrzoex_000223; break;
    case   224 : infos=lcrzoex_000224; break;
    case   225 : infos=lcrzoex_000225; break;
    case   226 : infos=lcrzoex_000226; break;
    case   227 : infos=lcrzoex_000227; break;
    case   228 : infos=lcrzoex_000228; break;
    case   229 : infos=lcrzoex_000229; break;
    case   230 : infos=lcrzoex_000230; break;
    case   231 : infos=lcrzoex_000231; break;
    case   232 : infos=lcrzoex_000232; break;
    case   233 : infos=lcrzoex_000233; break;
    case   234 : infos=lcrzoex_000234; break;
    case   235 : infos=lcrzoex_000235; break;
    case   236 : infos=lcrzoex_000236; break;
    case   237 : infos=lcrzoex_000237; break;
    case   238 : infos=lcrzoex_000238; break;
    case   239 : infos=lcrzoex_000239; break;
    case   240 : infos=lcrzoex_000240; break;
    case   241 : infos=lcrzoex_000241; break;
    case   242 : infos=lcrzoex_000242; break;
    case   243 : infos=lcrzoex_000243; break;
    case   244 : infos=lcrzoex_000244; break;
    case   245 : infos=lcrzoex_000245; break;
    case   246 : infos=lcrzoex_000246; break;
    case   247 : infos=lcrzoex_000247; break;
    case   248 : infos=lcrzoex_000248; break;
    case   249 : infos=lcrzoex_000249; break;
    case   250 : infos=lcrzoex_000250; break;
    default : return(LCRZOEX_ERR_MISC_BADTOOLNUMBER);
  }

  if (pinfos!=NULL) *pinfos=infos;
  return(LCRZO_ERR_OK);
}
