#ifndef LCRZOEX_TOOLBOX_INCLUDED
#define LCRZOEX_TOOLBOX_INCLUDED 1

/*-------------------------------------------------------------*/
#include "../lcrzoex__00001.h"
#include "../lcrzoex__00002.h"
#include "../lcrzoex__00003.h"
#include "../lcrzoex__00004.h"
#include "../lcrzoex__00005.h"
#include "../lcrzoex__00006.h"
#include "../lcrzoex__00007.h"
#include "../lcrzoex__00008.h"
#include "../lcrzoex__00009.h"

/*-------------------------------------------------------------*/
int shared_toolbox__x_main(int ac, 
			   char* av[], 
			   lcrzo_uint32 toolnumber);
int shared_toolbox__x_infos(lcrzo_uint32 toolnumber,
			    shared_lcrzoex_infos *pinfos);

/*-------------------------------------------------------------*/
int shared_toolbox_tool_unknown_print(lcrzo_uint32 toolnumber);
int shared_toolbox_tool_usage_print(lcrzo_conststring progname,
				    lcrzo_uint32 toolnumber);
int shared_toolbox_tool_get_title(lcrzo_uint32 toolnumber,
				  lcrzo_int16 language,
				  lcrzo_string *ptitle);
int shared_toolbox_tool_get_max(lcrzo_uint32 *pmaxtoolnumber);

/*-------------------------------------------------------------*/
typedef struct {
  lcrzo_list list;
  lcrzo_int16 language;
  lcrzo_int16 level;
  lcrzo_uint8 c;
} shared_toolbox_helpmode_cat;
int shared_toolbox_helpmode_cat_init(shared_toolbox_helpmode_cat *pcat,
				     lcrzo_int16 language,
				     lcrzo_int16 level);
int shared_toolbox_helpmode_cat_add(shared_toolbox_helpmode_cat *pcat,
				    lcrzo_uint32 toolnumber);
int shared_toolbox_helpmode_cat_close(shared_toolbox_helpmode_cat *pcat,
				      lcrzo_string levels, 
				      lcrzo_uint32 *ptoolnumber);

/*-------------------------------------------------------------*/
typedef struct {
  lcrzo_int16 language;
  lcrzo_int16 level;
  lcrzo_uint8 c;
} shared_toolbox_helpmode_catheader;
int shared_toolbox_helpmode_catheader_init(shared_toolbox_helpmode_catheader *pcatheader,
					   lcrzo_int16 language,
					   lcrzo_int16 level);
int shared_toolbox_helpmode_catheader_add(shared_toolbox_helpmode_catheader *pcatheader,
					   lcrzo_conststring frstr,
					   lcrzo_conststring enstr);
int shared_toolbox_helpmode_catheader_close(shared_toolbox_helpmode_catheader *pcatheader,
					    lcrzo_string levels);

/*-------------------------------------------------------------*/
int shared_toolbox_helpmode_mainmenu(lcrzo_int16 language,
				     lcrzo_string levels);

/*-------------------------------------------------------------*/
int shared_toolbox_tool_search(void);
int shared_toolbox_tool_savefile(void);

#endif
